/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_OPERALMOX                                                */
/* Tabela : OPERALMOX                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 28/10/2004 - Ronaldo Amaral Costa                                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_OPERALMOX
BEFORE INSERT OR UPDATE OR DELETE
ON OPERALMOX FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUOPAX := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDOPERADOR,0)   <> NVL(:NEW.CDOPERADOR,0)) OR
         (NVL(:OLD.CDFILIAL,0)     <> NVL(:NEW.CDFILIAL,0)) OR
         (NVL(:OLD.CDALMOXARIFE,0) <> NVL(:NEW.CDALMOXARIFE,0)) THEN
         :NEW.DTULTATUOPAX := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('OPERALMOX',:OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDOPERADOR='||:OLD.CDOPERADOR||';CDALMOXARIFE='||:OLD.CDALMOXARIFE||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE OPERALMOX MODIFY DTULTATUOPAX DEFAULT SYSDATE
/

